{
  pkgs,
  lib,
  ...
}: {
  home.packages = with pkgs; [
    git-lfs
    lazygit
  ];

  home.shellAliases.lg = "lazygit";

  # Use pkgs.gitAndTools.gitFull in order to get libsecret support
  programs.git = {
    enable = true;
    userEmail = "michaelhthomas@outlook.com";
    userName = "Michael Thomas";
    extraConfig = {
      credential.helper = lib.mkDefault "store";
      pull.rebase = "false";
      init.defaultBranch = "main";
    };
  };
}
