let
  venus = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKlbfu7ApeF0khvdzMSWfDaunI+5zy/BboN7qEE4jWd2 root@venus";
  oracle = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJ0vHE/b6tKk6I6DwEemIF5VdS/JBXW8eiYIBmnbv5LI root@oracle";
  nova = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJHF7Ga+asH6tWbi0K49Arg3Ov5S+dLHWrT62MkPEJid root@nova";
  terra = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICPNlBEvzN5+hnkk8ZUN/ShuOcE7ur6agpmj2uWRB9iL root@terra";
  # systems = [system1];
in {
  # Venus
  "wireguard-thinkcentre.age".publicKeys = [venus];
  "keycloak-db.age".publicKeys = [venus nova];
  "forgejo-actions.age".publicKeys = [venus];
  "sendgrid-key.age".publicKeys = [venus];

  # Oracle
  "wireguard-oracle.age".publicKeys = [oracle];

  # Nova
  "nextcloud-adminpass.age".publicKeys = [nova];

  # Terra
  "wireguard-terra.age".publicKeys = [terra];
}
